/*
** 1998-05-23 -	Header for the (g|u)uid-to-name mapping module.
*/

#include <unistd.h>

/* ------------------------------------------------------------------------------------------ */

int		usr_init(void);

const char *	usr_lookup_uname(uid_t uid);
const char *	usr_lookup_uhome(const char *uname);
const char *	usr_lookup_gname(gid_t gid);

/* ------------------------------------------------------------------------------------------ */

typedef enum { UIM_USER = 0, UIM_GROUP } UsrMenuType;

GtkWidget *	usr_build_menu(UsrMenuType type, GtkSignalFunc func, gpointer user, int id, gint *index);
